Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class LayoutDefinition

    java.lang.Object
      |
      +--com.bea.netuix.application.definition.LayoutDefinition

All Implemented Interfaces:
  Serializable

public class LayoutDefinition
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`LayoutDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, PlaceholderDefinition[] placeholderDefinitions, String iconUri, String htmlLayoutUri, String webAppName, String layoutFile, boolean deleted)`

Method Summary
`String` | `getHtmlLayoutUri()` Getter for property htmlLayoutUri.
`String` | `getIconUri()` Getter for property iconUri.
`LayoutDefinitionId` | `getLayoutDefinitionId()`
`String` | `getLayoutFile()`
`LocalizationResource` | `getLocalizationResource()`
`MarkupDefinitionId` | `getMarkupDefinitionId()`
`PlaceholderDefinition` | `getPlaceholderDefinition(PlaceholderDefinitionId placeholderDefinitionId)`
`PlaceholderDefinition[]` | `getPlaceholderDefinitions()`
`String` | `getWebAppName()`
`boolean` | `isDeleted()`
`void` | `setDeleted(boolean deleted)`
`void` | `setHtmlLayoutUri(String htmlLayoutUri)` Setter for property htmlLayoutUri.
`void` | `setIconUri(String iconUri)` Setter for property iconUri.
`void` | `setLayoutFile(String layoutFile)`
`void` | `setLocalizationResource(LocalizationResource localizationResource)`
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)`
`void` | `setPlaceholderDefinitions(PlaceholderDefinition[] placeholderDefinitions)`
`void` | `setWebAppName(String webAppName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LayoutDefinition

    public LayoutDefinition(LocalizationResource localizationResource,
                            MarkupDefinitionId markupDefinitionId,
                            PlaceholderDefinition[] placeholderDefinitions,
                            String iconUri,
                            String htmlLayoutUri,
                            String webAppName,
                            String layoutFile,
                            boolean deleted)

Method Detail

### getLayoutDefinitionId

    public LayoutDefinitionId getLayoutDefinitionId()

### getPlaceholderDefinitions

    public PlaceholderDefinition[] getPlaceholderDefinitions()

### getPlaceholderDefinition

    public PlaceholderDefinition getPlaceholderDefinition(PlaceholderDefinitionId placeholderDefinitionId)

### setPlaceholderDefinitions

    public void setPlaceholderDefinitions(PlaceholderDefinition[] placeholderDefinitions)

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

### getIconUri

    public String getIconUri()

  Getter for property iconUri.

  Returns:
    Value of property iconUri.

### setIconUri

    public void setIconUri(String iconUri)

  Setter for property iconUri.

  Parameters:
    `iconUri` - New value of property iconUri.

### getHtmlLayoutUri

    public String getHtmlLayoutUri()

  Getter for property htmlLayoutUri.

  Returns:
    Value of property htmlLayoutUri.

### setHtmlLayoutUri

    public void setHtmlLayoutUri(String htmlLayoutUri)

  Setter for property htmlLayoutUri.

  Parameters:
    `htmlLayoutUri` - New value of property htmlLayoutUri.

### getWebAppName

    public String getWebAppName()

### setWebAppName

    public void setWebAppName(String webAppName)

### getLayoutFile

    public String getLayoutFile()

### setLayoutFile

    public void setLayoutFile(String layoutFile)

### isDeleted

    public boolean isDeleted()

### setDeleted

    public void setDeleted(boolean deleted)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved